Go back to PatrolBase.co.uk

Internet Explorer is EEEEEEEEEEEEVIL

Internet Explorer is EVIL!

PSA: If you're using Internet Explorer, stop it its terrible, and our website will not work! A few users have been complaining that our website will not work with Internet Explorer 11, the browser made famous by being bundled with Windows, has finally become incompatible with our website, so if you're getting a product page like the image below unfortunately its time for an upgrade!

We've tried as hard as we can to keep the site compatible with legacy browsers, but as we've been adding features we knew eventually we would come across this issue. It's come to the point now where to offer the high level and secure service we must now say bye bye to Internet Explorer and move onto something new.


"Internet


If you're seeing this on a Mac, there's no need to worry, you won't have Internet Explorer installed as its a Windows thing.

For Windows users we suggest you move onto something a little bit more modern. We suggest that you install one of the following browsers:

Chrome and Firefox have a 100% compatibility rating with our website, as well as many other more modern website designs. Upgrade today, it'll be faster and more secure.


Written by PatrolBase Jonny, who has written a total of 80 posts.

Jonny has worked for Patrol Base for 5+ years, working in the media department and on the main website. Responsible for managing the software which runs the website, bringing new features wherever possible. You can get in contact via Facebook and Instagram.


Posted in Patrol Base News, Products | No Comments


Leave a Reply

Your email address will not be published.

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>

*


Back to top